OpenJPEG 2.5.2

Data Fields
placeholder_param Struct Reference

A.3.6.3 Placeholder box format. More...

`#include <placeholder_manager.h>`

## Data Fields
Byte4_t | LBox
char | TBox [4]
Byte4_t | Flags
Byte8_t | OrigID
Byte_t * | OrigBH
| dynamic memory pointer
Byte_t | OrigBHlen
| length of OrigBH
struct placeholder_param * | next
| pointer to the next placeholder

## Detailed Description

A.3.6.3 Placeholder box format.

placeholder box parameters

## Field Documentation

## ◆ Flags

Byte4_t placeholder_param::Flags

Referenced by add_placeholder_stream(), gene_placeholder(), parse_phld(), and print_placeholder().

## ◆ LBox

Byte4_t placeholder_param::LBox

Referenced by add_placeholder_stream(), enqueue_phld(), gene_placeholder(), parse_phld(), and print_placeholder().

## ◆ next

struct placeholder_param* placeholder_param::next

pointer to the next placeholder

Referenced by delete_placeholderlist(), enqueue_phld(), gene_placeholder(), insert_placeholder_into_list(), parse_phld(), print_allplaceholder(), and search_metadataidx().

## ◆ OrigBH

Byte_t* placeholder_param::OrigBH

dynamic memory pointer

Referenced by add_emptyboxstream(), add_placeholder_stream(), gene_placeholder(), parse_phld(), print_placeholder(), recons_jp2(), and search_metadataidx().

## ◆ OrigBHlen

Byte_t placeholder_param::OrigBHlen

length of OrigBH

Referenced by add_emptyboxstream(), add_placeholder_stream(), gene_placeholder(), parse_phld(), print_placeholder(), and recons_jp2().

## ◆ OrigID

Byte8_t placeholder_param::OrigID

Referenced by add_placeholder_stream(), gene_placeholder(), parse_phld(), print_placeholder(), and search_metadataidx().

## ◆ TBox

char placeholder_param::TBox[4]

Referenced by add_placeholder_stream(), gene_placeholder(), parse_phld(), and print_placeholder().

The documentation for this struct was generated from the following file:

- placeholder_manager.h